gammacurve.h File Reference
`#include <gdk/gdk.h>`
`#include <gtk/gtkvbox.h>`

## Data Structures

struct | _StpuiGammaCurve
struct | _StpuiGammaCurveClass

## Macros

#define | STPUI_TYPE_GAMMA_CURVE (stpui_gamma_curve_get_type ())
#define | STPUI_GAMMA_CURVE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), STPUI_TYPE_GAMMA_CURVE, StpuiGammaCurve))
#define | STPUI_GAMMA_CURVE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), STPUI_TYPE_GAMMA_CURVE, StpuiGammaCurveClass))
#define | STPUI_IS_GAMMA_CURVE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), STPUI_TYPE_GAMMA_CURVE))
#define | STPUI_IS_GAMMA_CURVE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), STPUI_TYPE_GAMMA_CURVE))
#define | STPUI_GAMMA_CURVE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), STPUI_TYPE_GAMMA_CURVE, StpuiGammaCurveClass))

## Typedefs

typedef struct _StpuiGammaCurve | StpuiGammaCurve
typedef struct _StpuiGammaCurveClass | StpuiGammaCurveClass

## Functions

GType | stpui_gamma_curve_get_type (void) G_GNUC_CONST
GtkWidget * | stpui_gamma_curve_new (void)

## Macro Definition Documentation

#define STPUI_GAMMA_CURVE | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_CAST ((obj), STPUI_TYPE_GAMMA_CURVE, StpuiGammaCurve))

#define STPUI_GAMMA_CURVE_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_CAST ((klass), STPUI_TYPE_GAMMA_CURVE, StpuiGammaCurveClass))

#define STPUI_GAMMA_CURVE_GET_CLASS | ( |  | obj | ) | (G_TYPE_INSTANCE_GET_CLASS ((obj), STPUI_TYPE_GAMMA_CURVE, StpuiGammaCurveClass))

#define STPUI_IS_GAMMA_CURVE | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_TYPE ((obj), STPUI_TYPE_GAMMA_CURVE))

#define STPUI_IS_GAMMA_CURVE_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_TYPE ((klass), STPUI_TYPE_GAMMA_CURVE))

#define STPUI_TYPE_GAMMA_CURVE (stpui_gamma_curve_get_type ())

## Typedef Documentation

typedef struct _StpuiGammaCurve StpuiGammaCurve

typedef struct _StpuiGammaCurveClass StpuiGammaCurveClass

## Function Documentation

GType stpui_gamma_curve_get_type | ( | void |  | ) |

GtkWidget* stpui_gamma_curve_new | ( | void |  | ) |